/*
 * LDR_test
 * LDR fotoellenállás próbája.
 * 
 * Hardver követelmények:
 *  - Arduino kártya
 *  - GL55 CDs fotoellenállás az alábbi bekötéssel:
 *  GND -/\/\/----+--(LDR)-- +5V
 *        10k     |
 *             to A0 
 */

void setup() {
  Serial.begin(9600);        //9600 bit/s
  analogReference(DEFAULT);  //+5V referencia
}

void loop() {
  int sensorValue = analogRead(A0); //ADC beolvasás
  Serial.print("A0 = ");
  Serial.print(sensorValue);
  Serial.print(" V0: ");
  float voltage = sensorValue*4.66/1023;
  Serial.print(voltage,3);
  float Rx = 10000.0;
  if(sensorValue>0) {
    Rx = 46.6/voltage-10;
  }  
  Serial.print(" V  Resistance = ");
  Serial.print(Rx,1);
  Serial.println(" kOhm");
  delay(2000);        // 2 mp várakozás
}
