#define B1A 7          // Bal motor előre
#define B1B 6          // Bal motor hátra
#define A1A 5          // Jobb motor előre
#define A1B 4          // Jobb motor hátra

int state = 0;         // 0: stop, 1: forward
int hatter, adat;

int meres(int pin, int n) {
  long sum = 0;
  for (int i = 0; i < 100; i++) {
    sum += analogRead(pin);
  }
  return sum / n;
}
void setup() {
  Serial.begin(9600);
  Serial.println("Motor with TCRT5000");
  analogReference(DEFAULT);
  pinMode(B1A, OUTPUT);
  pinMode(B1B, OUTPUT);
  pinMode(A1A, OUTPUT);
  pinMode(A1B, OUTPUT);
  digitalWrite(B1A, LOW);
  digitalWrite(B1B, LOW);
  digitalWrite(A1A, LOW);
  digitalWrite(A1B, LOW);
  hatter = meres(A0, 100);
  Serial.print("Hattér = ");
  Serial.print(hatter);
  Serial.print("  Limit = ");  
  hatter = hatter + hatter / 10;
  Serial.println(hatter);
}

void loop() {
  adat = meres(A0, 100);
  switch (state) {
    case 0: {
        digitalWrite(B1A, LOW);
        digitalWrite(B1B, LOW);
        digitalWrite(A1A, LOW);
        digitalWrite(A1B, LOW);
        if ( adat  < hatter) {
          Serial.println("Forward ALL");
          state = 1;
        }
        break;
      }
    case 1: {
        digitalWrite(B1A, HIGH);
        digitalWrite(B1B, LOW);
        digitalWrite(A1A, HIGH);
        digitalWrite(A1B, LOW);
        if ( adat  > hatter) {
          Serial.println("Stop ALL");
          state = 0;
        }
        break;
      }
  }
  delay(50);
}
